%define name cgoban1
%define version 1.9.14
%define release 5mdk
%define rname cgoban

Summary: A Go game client
Summary(fr): Un client pour le jeu de Go
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Boards
Source:	%rname-%version.tar.bz2
Source2: %name-mini.png
Source3: %name.png
URL: http://cgoban1.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:  XFree86-devel
Provides: %rname = %{version}
#Requires: gnugo

%description
Cgoban (Complete Goban) is for Unix systems with X11.  It has the ability
to be a computerized go board, view and edit smart-go files, and connect to
go servers on the Internet.
Cgoban is also a smart interface for GNU Go.

%description -l fr
Cgoban (Complete Goban) est un programme pour X11. Il peut servir de goban
virtuel,  afficher ou diter des fichiers smart-go et  se connecter 
des serveurs de go par Internet.
CGoban peut aussi servir d'interface  GNU Go.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %rname-%version

%build
mv src/cgoban.c src/cgoban.c.orig
sed -e 's|\"./goDummy\"|\"/usr/games/gnugo --quiet\"|' <src/cgoban.c.orig >src/cgoban.c
mv configure configure.orig
sed -e "s|-O2 -fomit-frame-pointer|$RPM_OPT_FLAGS|g" <configure.orig >configure
chmod +x configure
%configure --program-suffix=1 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}{,/mini,/large}
%makeinstall
cp cgoban_icon.png $RPM_BUILD_ROOT%{_iconsdir}/large/cgoban1.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/mini/cgoban1.png 
cp %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/cgoban1.png 

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/cgoban1 <<EOF
?package(%name): needs="x11" section="Amusement/Boards" title="CGoban" longtitle="Graphical game of Go" command="/usr/bin/cgoban1" icon="cgoban1.png"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README COPYING TODO seigen-minoru.sgf
%{_bindir}/*
%{_mandir}/man6/*
%{_menudir}/cgoban1
%{_iconsdir}/cgoban1.png
%{_iconsdir}/*/cgoban1.png

%changelog
* Tue Mar 15 2005 Pascal Terjan <pterjan@mandrake.org> 1.9.14-5mdk
- rebuild to get the right menu section

* Fri May 14 2004 Pascal Terjan <pterjan@mandrake.org> 1.9.14-4mdk
- Rebuild
- use macros
- use cgoban1 for menu and icon
- add normal and mini icon

* Thu Feb 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.9.14-3mdk
- Don't obsolete cgoban

* Thu Feb 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.9.14-2mdk 
- Cleanup and macroization
- From Pascal Terjan <CMoi@tuxfamily.org>
	- fix menu
	- added french description

* Mon Jan 27 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.9.14-1mdk
- 1.9.14
- changed to cgoban1 so it doesn't conflict with cgoban2
- changed URL to sourceforge project
- uncapitalized MANPAGES and PREFIX for make install
- added BuildRequires:  XFree86-devel

* Sat Nov 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.9.12-2mdk
- fix missing file

* Wed Aug 28 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.9.12-1mdk
- 1.9.12

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.11-2mdk
- rebuild

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.11-1mdk
- updated to 1.9.11

* Mon Aug 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.10-3mdk
- BM
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.10-2mdk
- spec helper fixes
* Mon Apr  4 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- version 1.9.10
- fix group
* Wed Dec 29 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- removed GNU Go dependency
* Thu Dec 23 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- updated version 1.9.8
- mandrake adaptation
- configured to use GNU Go
- relocated to /usr/X11R6
* Sat Jul 31 1999 Adrian Likins <alikins@redhat.com>
- initial release
